commit da2e98ebef407f7bed0d48a845f7cb1648568aa6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-25

    Bump version number.

commit f2a4423f79b4147459c64e5a2b7d138ac4e02a99
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-25

    FIXED: Application layout did not respect RTL languages.

commit f2bf9fc9a4f7091850f0e967651cee16e6b800f3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-24

    FIXED: All new games used the same seed in Windows.

commit 2479ea35df4882affad8168fc9ee82c91eea2dfd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-20

    Bump version number.

commit 958cbba8145d766a761693bf08306d15fd3bfd9e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-20

    Update translations.

commit 1161898f7f345ae1dd890aae2dc7e26de81b0d1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-09

    Add support for high DPI displays.

commit cbf16af725468e0684c062f4c14244b27f29f278
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-09

    FIXED: Did not show icons for game actions.

commit 895c2395585ab259d39f53f1dc55e86515e94cfa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Update copyright year.

commit 31fa071f3de5b34c2f03cb2fb9ce429fe3c7d0fa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Allow in-tree builds.

commit 12ab03979c4e9c0f801e67965dcb9afd5bc8c7f1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Switch to static builds for Windows.

commit d3b72d01edcdb1e1b5d99aab82db89dd9f4c574f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-23

    Use C++ round function.

commit 046b82d59eb6a4f8f54e96fbf7395074fe68f93f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-23

    Use application display name.

commit 1159eeedb61f00970dfe079fd6ec23f0100fd0e7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    Use random device for seed.

commit 2e46f2cbd934525fc1139539a4f93a2f27c5f72e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    Use full 32-bit seed value.

commit b651a21b600a2ea9549bb04fcb6350171f2639fa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-21

    Switch to Qt 5.

commit ca46d5e64eff4e91301d4692ec4a70deff5ce724
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-21

    FIXED: Words were not shuffled in Qt 5.

commit 648703461323e70026afc41664ea6c4f83091ac4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-20

    Switch to C++11 random classes.

commit 96a7227bada069e6b19b07048329c8e9f3c82d2c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-20

    Switch to C++11.

commit 55916ce82c3f0a5ddf19010ceb439f23c957b498
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-20

    Bump game version number.

commit 4551ab79b649f00eed3886a6abbab761cf778916
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-17

    Add more icon sizes.

commit 05e42d826ec968d7d3b6ed6fcaa3c681d04cc648
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-15

    Use app icon from theme only in Linux.

commit 607df881eb09e5cd7049d1451ef5447056168a65
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-14

    Update appdata file.

commit 28d425b0c72657f7262439012573ad01cf805170
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-13

    Update format of appdata.

commit 2d4daf565545c7e0ecf969f63cb943e5a50b29be
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-13

    Fix issues with appdata.

commit 3e7c319a5bec611ba84e74b534a583832aab480e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-13

    Update translations.

commit 70007e09c1c1a11ab11b777e82d163fed08cf632
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-13

    Add appdata.

commit f7c45325c8af1abcf251dde2f9811829e5ad1725
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Add manpage.

commit 20af0b8447b8b008b9d35a846053d51f2e2fd79d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Use key sequences and menu roles.

commit 0d5055ad388f153294eb7295a8957e8c23acd8f3
Merge: f052427 04ff4da
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Merge branch 'release-1.1'

commit f05242709544f2477bcf85468d387082c4ba9317
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-05

    Modify news file format.

commit 04ff4da23cbdea548af8c20680be6ecd293e4589
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-05

    Modify news file format.

commit 10820dcfacb20f725e2daac205b5cd030303342a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Update news file.

commit b8a336e30e0fa3a582e7bd0c8d6ef2bcbecc5e63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Bump version number.

commit 3c0847b3621075642077bdcce9d8c1d7cae97ced
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    FIXED: Games were only saved when closing window.

commit cf6828907cf9f3aac821bbe1250fecab9868c43a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    FIXED: Games were only saved when closing window.

commit 265af813a99ca91cdf5c37783abc66e97329d0ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Add NSIS installer for Windows.

commit 0f524759d5fb6e0acf1799b4351c7862e525801e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Add README file.

commit 13376a5384ec2b6862af1773565ffb539a92a1f8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Replace ChangeLog with NEWS file.

commit 782d8dd9d7a88bef68fa81b61e50bb43e8e1966a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Update copyright year.

commit 576dfe5a71844e3bf1014d683e3ea2f3fadf32a0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Add NSIS installer for Windows.

commit 213767ce3d173e20c3c10ccaec0cc48fe2f3b8b0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Add README file.

commit f5317400c526b84e79744c47eb9a4007d591d72d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Replace ChangeLog with NEWS file.

commit 91470f4105460d17337a824a579d4537de2b5513
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-04

    Update copyright year.

commit 62f13863f8bf6199c3e1752f74d04548815108c4
Author: VitalD <vkontakte.vit@gmail.com>
Date:   2014-01-28

    Add Russian wordlist.

commit 02a20d85b9f559cc4ebb3779a97de854e6fda091
Author: VitalD <vkontakte.vit@gmail.com>
Date:   2014-01-28

    Add Russian wordlist.

commit 648e17237207b52b2443553b0cc1aeb187bdc913
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-02

    Sync translations with Transifex.

commit 841603bdbc50015d52faeb29a050870802544f98
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-02

    Sync translations with Transifex.

commit 87a54f769f13b789fe963389168e16493c420a6a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-06-29

    Sync translations with Transifex.

commit 31ef2215f59a89dc43ab9ce8f35b17afe3d43cf2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-06-29

    Add Hungarian wordlist.

commit 056ce621eeb11c8dc1315509ff280c33e21d1294
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-06-29

    Sync translations with Transifex.

commit a2805494fd57fb1b88df6501f240ee28138d2f3c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-06-29

    Add Hungarian wordlist.

commit 4cd0254d0df0de3f74f682a71d3d524c39a7467f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-05

    Tag version 1.1.1.

commit 6a5cfd3025b05cd1ec48779a87b7b7b862774220
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-05

    Sync translations with Transifex.

commit b462802343b8da32fe07c96135949cb59407f70f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-05

    Sync translations with Transifex.

commit ddf17046089e5d19198dc34ff2328c145868a9d7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-04

    FIXED: Did not install data files in Linux.

commit 03838b0e91f2c3ab0b91ec8e973b16836af449b2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-12

    Sync translations with Transifex.

commit 21777a86550f70eb43a583ff2fc9eaf5eba461e7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-05-04

    FIXED: Did not install data files in Linux.

commit ad2423bbc6859164628699c1bc13cee876f82dae
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-03-12

    Sync translations with Transifex.

commit 232ba622c395f1179ccc49b3020c4eb150b82102
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-24

    Sync translations with Transifex.

commit 4c46d44da421c1b965bc15addd0bcd1a40065051
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-22

    Always initialize maximum length.

commit b2c9b29803996aec34faad4bbe82951b5b7d3ee4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-24

    Sync translations with Transifex.

commit ea32b200360a7b65edc33db025e758746e4db297
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-22

    Always initialize maximum length.

commit 882fc500a5fea882a3bbdc98b169fcc152ac04a7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Tag version 1.1.0.1

commit 28d0d19429b525320dbbf787f10a93c4740ff1a5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    FIXED: Did not install program icons in Linux.

commit 87c6b57418739e36b928db214072f15314ba9a9e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    FIXED: Did not install program icons in Linux.

commit fd9b8abd756d8a66f7542a63eca7b907995250ee
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Update ChangeLog.

commit a4d786432d67cef0db8d2d90db06094d39b18641
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Tag version 1.1.0

commit 600b034702b87a303eecf9b4b220325dfe174c49
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Add missing header include.

commit a357fa07502f88b6ecbbd0945794463d4ce9b92b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Add French wordlist.

commit 0aa79fbf3acad561b51e234d8011b11e15b8e2b6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Add wordlist creation tool.

commit db7f1f43c65b7653a46e7781714239568c076568
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-20

    Simplify build system.

commit 0ff61ec93558b12143c2f0d85a5b267b9eb5de71
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-07

    Sync translations with Transifex.

commit 4b233b6f71769c7e7ded486cc74648f250a97665
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-07

    Update locale dialog.

commit 696dfc597bb1fa7de3c81efd8daee991fe0a4cb5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-30

    Scale board to be 50% larger than default font.

commit 6bcd3e4f6b8168b52ad39d019465b0b44ca9f37f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-29

    Allow player to scroll board by dragging.

commit 14b233acd1e21791f5603c500e63fbb68bd02cfd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-29

    Sync translations with Transifex.

commit 177c097013ff0389e329e68ab809341f1bf11489
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-28

    Start game when enter is pressed in new game dialog.

commit 50ff4f9a5377672c764a0f6e2dc11c467d4b7d58
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-27

    Share wordlist data between instances.

commit 26e384a51375488e0fca32445f08f0a9ca880b84
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-27

    Use pattern icon in details dialog.

commit 05158e113b59cd7074cd7bf11d26090edd070134
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-27

    Use buttons for choosing pattern in new game dialog.

commit b2f94cd4d83263ce05e441684ef4ae508076e246
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-26

    Update details dialog strings.

commit 8485cf3e55430ffbe3ec87cf5aba643281e5961d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-26

    Remove game number from new game dialog.

commit ec2482d04bcfcd2b8d0ad8573a683c42188b1b72
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-26

    Add starting games from encoded string.

commit 84eee85f6127e4e18ca5156cebc37a819a15ebef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-26

    Add labels to word lengths.

commit 55e8fbdda202f825fb036d38fed14bd1d75ab1f2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-26

    Simplify selection of word count.

commit c5c9c0a651ee26e462c3610c847496e33a15e248
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-25

    Update dictionary when language is changed.

commit 5bd6242dc2294179d6f75219945aab17d36f7a2f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-25

    Allow player to choose language of board.

commit 1df8850762f399e6990f9cde5fd5b8c2ba51a12c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-25

    Don't reload language.

commit 116ba85b06677416db4d8490eefd445d7811447f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-25

    Add category and generic name to desktop file.

commit b84297339153a39d663465a1829bc307f7f2d5bb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-23

    Sync translations with Transifex.

commit cf10fbab8e360441231a362a66279dae0cde5afb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-23

    FIXED: Did not use translated name of patterns.

commit 267c8f431ae617a3e4f463c4bf1e732e39250ab2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-22

    Attempt to use wordlist that matches locale.

commit 60027e6bf19ec6fcbbbad1a7600f0cff820fbb00
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-22

    Use language of wordlist in dictionary.

commit 3f0c49a29e74937f8e80e053abafcaf758c36b57
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-20

    Replace English wordlist.

commit 67c51d33c1e9e1a529d1f89edb7e489ae3b96958
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-19

    Cache definitions for two weeks.

commit ca27b9e0aae67348da79b58858b160e3257cee67
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-15

    Show entire definition of word.

commit 27e7ad8e1ccc634385ac3e372286f68b25574058
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-12

    Look up extra spellings for each word.

commit 0322e0491db06ecdc25a30df018f22a879fc772e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-12

    Adjust variable name.

commit 279d2255cfba120e235e0602eea1abba05013f6a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-12

    Pass wordlist to dictionary class.

commit 7c87dbb1c8a5a0cae38aee3ec2afb0dd5233d366
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-12

    Make wordlist no longer be a static object.

commit 9b199bca5310aa0e27561a471d4573fc4f2f333a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-12

    Add loading extra spellings of words.

commit 95d9519237466c2e591cdf31b183973fdfdd2d18
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-09

    Add version number to saved game.

commit 2aad416e273df70ded4c245aa6de4fb51759323f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-09

    Return wordlist from pattern.

commit 7904ddf8cab0485c210400ba8e05ce557647ce19
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-09

    Use random class from Tanglet.

commit e5a91e5bce6df95ae7e766960445e3da2d50c90a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-09

    Refactor wordlist out of pattern.

commit 5f2ef5e127d6f04e2da3db34399b6a19f42d9ded
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-07

    Use normalized signal/slot signatures.

commit 3b39e0f949caa439daa9c7235e6a94f902e6ba51
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-07

    Prevent infinite loops when defining words.

commit 3d9495bcf1bc9a5b75a0c5e90477b6e3032137ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-06

    Use Wiktionary for definitions.

commit 65eb4b3329c99b20ec4ec774d68e2beda30dd331
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-06

    Make sure all strings can be translated.

commit f813a4cdd1bde14c14797c378fad0f0fdb01fe92
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-03

    Add more icon sizes.

commit 10a3c65661329bf7746e158d43f30fc1c1a7b775
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-01-01

    Update translations.

commit a03766274776549afdcca1e999baee5ba763c8ee
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-12-24

    Add support for compiling with Qt 5.0.0.

commit a37820b41878372ed29b2f90c69f5aa126657d29
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-18

    Update translations.

commit 490f1ee90425c0f5d1dc2e1b09a0196af91dd8df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-09

    Update locale dialog.

commit 2b04b025ba8b5daa525fba32dee1105a3f4d1dd9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-29

    Improve about dialog.

commit c0ab722827ce2acc9feddf8718f21df0853e03f8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Correct install path for translations.

commit d3d90b688da38dd6230d81e587abb05fb44c7856
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Update copyright notice.

commit 54297e67439ad04c8b69b31dcfd7c79d9d83a4f2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Make it compile in Windows.

commit 46f785f693ec9f8d0769daf3987c84d40906ffd8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Update deployment scripts.

commit 60398c2a23adc8c1ec274c8ed248221d650825dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Move word list to subfolder.

commit ce28a172a8096ca38e9adf14b02a62c5339cb722
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Add locale dialog.

commit 51e41884d32a578a20897f7403aecfd087c02593
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-27

    Use git revision ID as version number.

commit 7f54c3ee863dc2d12f97f67b7f987572a1c7ced2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-16

    FIXED: Twisty boards sometimes have words that touch incorrectly.

commit eeaae9c4deb7573a3e22f7a5852c3947417fa649
Author: Graeme Gott <graeme@gottcode.org>
Date:   2009-10-10

    FIXED: User could not click through success message.

commit 4ec65875fbebea1ba42f54a743abf895e8748b55
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-15

    Initial source import.
